Bug 829505

Summary: [abrt] yum-3.4.3-25.fc17: misc.py:754:_decompress_chunked:IOError: [Errno 13] Permission denied: '/var/cache/yum/i386/17/rpmfusion-nonfree/dbc8b87bd0b26f0b4e919b389652b293ffd5bced656b9df70196ffdb1936718b-comps.xml'
Product: [Fedora] Fedora Reporter: Tan Chin Leong <cltan8>
Component: yumAssignee: Fedora Packaging Toolset Team <packaging-team>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: ffesti, hoangtrung2504, maxamillion, packaging-team, razeghi71, tla, zpavlas
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Unspecified   
Whiteboard: abrt_hash:6fc0534b26085c65d812004c90dfdaf20097135b
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 14:47:30 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tan Chin Leong 2012-06-06 19:10:17 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python -t /usr/share/yum-cli/completion-helper.py -d 0 -C list available ope
comment:        1) Type sudo yum install <TAB>
executable:     /usr/share/yum-cli/completion-helper.py
kernel:         3.4.0-1.fc17.i686
time:           Wed 06 Jun 2012 07:37:36 PM MYT
uid:            1000
username:       cltan8

backtrace:
:misc.py:754:_decompress_chunked:IOError: [Errno 13] Permission denied: '/var/cache/yum/i386/17/rpmfusion-nonfree/dbc8b87bd0b26f0b4e919b389652b293ffd5bced656b9df70196ffdb1936718b-comps.xml'
:
:Traceback (most recent call last):
:  File "/usr/share/yum-cli/completion-helper.py", line 89, in <module>
:    main(sys.argv[1:])
:  File "/usr/share/yum-cli/completion-helper.py", line 83, in main
:    base.doCommands()
:  File "/usr/share/yum-cli/cli.py", line 485, in doCommands
:    return self.yum_cli_commands[self.basecmd].doCommand(self, self.basecmd, self.extcmds)
:  File "/usr/share/yum-cli/completion-helper.py", line 45, in doCommand
:    patterns=[get_pattern(extcmds)])
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 2660, in doPackageLists
:    avail = self.pkgSack.returnNewestByNameArch(patterns=patterns,
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 1003, in <lambda>
:    pkgSack = property(fget=lambda self: self._getSacks(),
:  File "/usr/lib/python2.7/site-packages/yum/__init__.py", line 767, in _getSacks
:    self.repos.populateSack(which=repos)
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 265, in populateSack
:    self.doSetup()
:  File "/usr/lib/python2.7/site-packages/yum/repos.py", line 92, in doSetup
:    self.ayum.plugins.run('postreposetup')
:  File "/usr/lib/python2.7/site-packages/yum/plugins.py", line 187, in run
:    func(conduitcls(self, self.base, conf, **kwargs))
:  File "/usr/lib/yum-plugins/langpacks.py", line 78, in postreposetup_hook
:    infile = yum.misc.decompress(infile, check_timestamps=True)
:  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 1132, in decompress
:    _decompress_chunked(filename, out, ztype)
:  File "/usr/lib/python2.7/site-packages/yum/misc.py", line 754, in _decompress_chunked
:    destination = open(dest, 'w')
:IOError: [Errno 13] Permission denied: '/var/cache/yum/i386/17/rpmfusion-nonfree/dbc8b87bd0b26f0b4e919b389652b293ffd5bced656b9df70196ffdb1936718b-comps.xml'
:
:Local variables in innermost frame:
:dest: '/var/cache/yum/i386/17/rpmfusion-nonfree/dbc8b87bd0b26f0b4e919b389652b293ffd5bced656b9df70196ffdb1936718b-comps.xml'
:source: '/var/cache/yum/i386/17/rpmfusion-nonfree/dbc8b87bd0b26f0b4e919b389652b293ffd5bced656b9df70196ffdb1936718b-comps.xml.gz'
:s_fn: <gzip open file '/var/cache/yum/i386/17/rpmfusion-nonfree/dbc8b87bd0b26f0b4e919b389652b293ffd5bced656b9df70196ffdb1936718b-comps.xml.gz', mode 'rb' at 0xa64cf98 0xb04916c>
:ztype: 'gz'

smolt_data:
:
:
:General
:=================================
:UUID: f8a30d22-9103-4299-82cb-a14e3051c6a9
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 5053.92
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     P8700  @ 2.53GHz
:CPU Stepping: 10
:CPU Family: 6
:CPU Model Num: 23
:Number of CPUs: 2
:CPU Speed: 2535
:System Memory: 3491
:System Swap: 5535
:Vendor: Dell Inc.
:System: Latitude E6400 
:Form factor: Portable
:Kernel: 3.4.0-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4136:563) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:4136:563) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10282:4136:563) pci, ahci, RAID, Mobile 82801 SATA RAID Controller
:(32902:10519:4136:563) pci, None, PCI/ISA, ICH9M-E LPC Interface Controller
:(32902:4341:4136:563) pci, e1000e, ETHERNET, 82567LM Gigabit Network Connection
:(32902:10564:4136:563) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 3
:(32902:16946:32902:4897) pci, iwlwifi, NETWORK, WiFi Link 5100 AGN
:(32902:9288:4136:563) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10549:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10548:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10553:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(4480:2082:4136:563) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(4480:1142:4136:563) pci, yenta_cardbus, PCI/CARDBUS, RL5c476 II
:(4480:2098:4136:563) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(32902:10818:4136:563) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4136:563) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4136:563) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4136:563) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10558:4136:563) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10551:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4136:563) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10554:4136:563) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4136:563) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vgf17-lvf17_1 / ext4 4096 4096 5145323 2847030 2795511 1294336 1111470 1111470
:/dev/sda2 /boot ext2 1024 1024 493774 416872 391272 128016 127696 127696
:/dev/mapper/VolGroup-lv_root WITHHELD ext4 4096 4096 13081819 12708330 12052970 3276800 3275707 3275707
:/dev/mapper/VolGroup-lv_home /home ext4 4096 4096 25380801 3832707 2561719 6356992 5883374 5883374
:/dev/sdb5 WITHHELD ext3 4096 4096 21059568 1768017 697644 5357568 4095481 4095481
:/dev/sdb6 WITHHELD vfat 512 512 189718 189715 189715 0 0 0
:/dev/sdb1 WITHHELD fuseblk 512 512 805306256 37448711 37448711 20325891 19053949 19053949
:
Comment 1 Zdeněk Pavlas 2012-06-08 08:53:15 EDT
*** Bug 830145 has been marked as a duplicate of this bug. ***
Comment 2 Mohammad Razeghi 2012-06-08 10:00:18 EDT
any solution to this bug?
Comment 3 Fedora Update System 2012-06-08 10:25:11 EDT
yum-3.4.3-26.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/yum-3.4.3-26.fc17
Comment 4 Fedora Update System 2012-06-10 19:58:37 EDT
yum-3.4.3-26.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Zdeněk Pavlas 2012-06-11 02:58:59 EDT
*** Bug 830524 has been marked as a duplicate of this bug. ***
Comment 6 Amir 2012-07-05 00:44:49 EDT
I just was using tab completion and yum crashed.

Package: yum-3.4.3-25.fc17
Architecture: x86_64
OS Release: Fedora release 17 (Beefy Miracle)
Comment 7 Fedora End Of Life 2013-07-04 03:03:47 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 14:47:36 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.